Rysunek Roboczy: Polilinia

From FreeCAD Documentation
Revision as of 16:04, 19 February 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft: Linia łamana

Lokalizacja w menu
Drafting → Linia łamana
Środowisko pracy
Draft, Arch
Domyślny skrót
P L
Wprowadzono w wersji
0.7
Zobacz także
Draft Line, Draft BSpline

Description

The Draft Wire tool creates a polyline (a sequence of several line segments). It uses the Draft Linestyle set on the Draft Tray. The Wire tool behaves exactly like the Draft Line tool, except that it allows you to enter more than two points.

The Draft BSpline tool behaves like the Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

Linia zdefiniowana przez wiele punktów

Usage

  1. Press the Draft Wire button, or press P then L keys.
  2. Click a first point on the 3D view, or type a coordinate and press the add point button.
  3. Click additional points on the 3D view, or type a coordinate and press the add point button.
  4. Press Esc or the Close button to complete the edition.

The wire can be edited by double clicking on the element in the Tree view, or by pressing the Draft Edit button. Then you can move the points to a new position, or click add point or remove point and then click on the wire to add or remove points.

Fuse single lines

If two or more connected Draft Lines or Draft Wires are selected when pressing the Draft Wire button, they will be turned into a wire and the command will exit. introduced in version 0.17

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the start and end points of the lines, or use Draft Snap with the Draft Endpoint mode to make the nodes coincident.

Similar functionality is provided by with the Draft Join tool.

Options

  • Press A or the Finish button to finish the wire, leaving it open.
  • Press O or the Close button to close the wire, that is, a segment will be added from the last point to the first one to form a face. At least three points are required to form a face.
  • Press W or the Wipe button to remove the line segments already placed, but keep editing the wire from the last point.
  • Press U or the Set WP button to adjust the current working plane in the orientation of the last point.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the next point are relative to the last one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Wire tool will restart after you finish the wire, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, a closed wire will create a filled face (DANEMake Face true); if not, the closed wire will not make a face (DANEMake Face false).
Note: the wire should not be filled if it intersects itself, as it won't create a proper face. If the wire is filled but no shape is visible, manually set DANEMake Face to false to see the wire.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press Ctrl+Z or press the Undo button to undo the last point.
  • Press Esc or the Close button to abort the current command; line segments already placed will remain.

Properties

A Wire object shares all properties from a Draft Line, however, most properties only make sense for a Wire.

Data

  • DANEStart: specifies the first point in the wire.
  • DANEEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DANEClosed: specifies if the wire is closed or not. If the wire is initially open, this value is false; setting it to true will draw a line segment to close the wire. If the wire is initially closed, this value is true; setting it to false will remove the last line segment, and make the wire open.
  • DANEChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DANEFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DANEMake Face: specifies if the wire makes a face or not. If it is true a face is created, otherwise only the edges are considered part of the object. This property only works if DANEClosed is true.
Note: do not set DANEMake Face to true if the wire intersects itself, as it won't create a proper face.
  • DANESubdivisions: specifies the number of interior nodes in each segment of the wire. introduced in version 0.16
  • DANELength: (read-only) specifies the length of the entire wire.

View

  • WIDOKEnd Arrow: if it is true it will display a symbol at the last point of the wire, so it can be used as an annotation line.
  • WIDOKArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • WIDOKArrow Type: specifies the type of symbol displayed at the end of the wire, which can be "Dot", "Circle", "Arrow", or "Tick".
  • WIDOKPattern: specifies a Draft Pattern with which to fill the face of the closed wire. This property only works if DANEMake Face is true, and if WIDOKDisplay Mode is "Flat Lines".
  • WIDOKPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Creates a Wire object with the given list of points, pointslist.
    • Each point in the list is defined by its FreeCAD.Vector, with units in millimeters.
    • Alternatively, the input can be a Part.Wire, from which points are extracted.
  • If closed is True, or if the first and last points are identical, the wire is closed.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, and the wire is closed, the wire will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)